Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PolicyS.cpp File Reference

`#include "tao/AnyTypeCode/TypeCode.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "PolicyS.h"`
`#include "tao/PortableServer/Operation_Table_Perfect_Hash.h"`
`#include "tao/PortableServer/Direct_Collocation_Upcall_Wrapper.h"`
`#include "tao/PortableServer/Upcall_Command.h"`
`#include "tao/PortableServer/Upcall_Wrapper.h"`
`#include "tao/PortableServer/Basic_SArguments.h"`
`#include "tao/PortableServer/Object_SArgument_T.h"`
`#include "tao/PortableServer/Special_Basic_SArguments.h"`
`#include "tao/PortableServer/UB_String_SArguments.h"`
`#include "tao/PortableServer/TypeCode_SArg_Traits.h"`
`#include "tao/PortableServer/Object_SArg_Traits.h"`
`#include "tao/PortableServer/get_arg.h"`
`#include "tao/Special_Basic_Arguments.h"`
`#include "tao/UB_String_Arguments.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Profile.h"`
`#include "tao/Stub.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/CDR.h"`
`#include "tao/operation_details.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Malloc_Allocator.h"`

Include dependency graph for PolicyS.cpp:

## Namespaces
namespace | TAO
namespace | POA_CORBA
## Classes
class | TAO::SArg_Traits< CORBA::Policy >
class | TAO::Arg_Traits< CORBA::Policy >
class | TAO_CORBA_Policy_Perfect_Hash_OpTable
class | POA_CORBA::_get_policy_type_Policy
class | POA_CORBA::copy_Policy
class | POA_CORBA::destroy_Policy
class | POA_CORBA::_is_a_Policy_Upcall_Command
class | POA_CORBA::_non_existent_Policy_Upcall_Command
class | POA_CORBA::_get_component_Policy_Upcall_Command
## Defines
#define | _CORBA_POLICY__SARG_TRAITS_SS_
#define | _CORBA_POLICY__ARG_TRAITS_SS_
## Functions
TAO::Collocation_Proxy_Broker * | CORBA__TAO_Policy_Proxy_Broker_Factory_function (CORBA::Object_ptr)
int | CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer (size_t)
## Variables
TAO_CORBA_Policy_Perfect_Hash_OpTable | tao_CORBA_Policy_optable
int | CORBA__TAO_Policy_Proxy_Broker_Stub_Factory_Initializer_Scarecrow

## Define Documentation

#define _CORBA_POLICY__ARG_TRAITS_SS_

#define _CORBA_POLICY__SARG_TRAITS_SS_

## Function Documentation

TAO::Collocation_Proxy_Broker* CORBA__TAO_Policy_Proxy_Broker_Factory_function | ( | CORBA::Object_ptr |  | ) |

int CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer | ( | size_t |  | ) |

## Variable Documentation

int CORBA__TAO_Policy_Proxy_Broker_Stub_Factory_Initializer_Scarecrow`[static]`

| Initial value:
      CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer (
          reinterpret_cast<size_t> (CORBA__TAO_Policy_Proxy_Broker_Factory_Initializer)
        )

TAO_CORBA_Policy_Perfect_Hash_OpTable tao_CORBA_Policy_optable`[static]`